openSUSE 10 Security Update : MozillaFirefox (MozillaFirefox-2418)

High Nessus Plugin ID 27117


The remote openSUSE host is missing a security update.


This update brings MozillaFirefox to the security update release ( for openSUSE 10.2) and includes the following security fixes :

CVE-2006-6497/MFSA2006-68: Crashes with evidence of memory corruption were fixed in the layout engine. CVE-2006-6498/MFSA2006-68: Crashes with evidence of memory corruption were fixed in the JavaScript engine. CVE-2006-6499/MFSA2006-68: Crashes regarding floating point usage were fixed. CVE-2006-6500/MFSA2006-69: This issue only affects Windows systems, Linux is not affected. CVE-2006-6501/MFSA2006-70: A privilege escalation using a watch point was fixed.
CVE-2006-6502/MFSA2006-71: A LiveConnect crash finalizing JS objects was fixed. CVE-2006-6503/MFSA2006-72: A XSS problem caused by setting img.src to javascript: URI was fixed. CVE-2006-6504/MFSA2006-73: A Mozilla SVG Processing Remote Code Execution was fixed.
CVE-2006-6505/MFSA2006-74: Some Mail header processing heap overflows were fixed. CVE-2006-6506/MFSA2006-75: The RSS Feed-preview referrer leak was fixed. CVE-2006-6507/MFSA2006-76: A XSS problem using outer window's Function object was fixed.


Update the affected MozillaFirefox packages.

See Also

Plugin Details

Severity: High

ID: 27117

File Name: suse_MozillaFirefox-2418.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2007/10/17

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaFirefox, p-cpe:/a:novell:opensuse:MozillaFirefox-translations, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2006/12/20

Reference Information

CVE: CVE-2006-6497, CVE-2006-6498, CVE-2006-6499, CVE-2006-6500, CVE-2006-6501, CVE-2006-6502, CVE-2006-6503, CVE-2006-6504, CVE-2006-6505, CVE-2006-6506, CVE-2006-6507

CWE: 94